events.listen("recipes", function (e) {
  function RemoveCraftThermalGraine(Type) {
    e.remove({
      id:
        "thermal:compat/mysticalagriculture/insolator_mysticalag_" +
        Type +
        "_seeds",
    });
  }

  RemoveCraftThermalGraine("evoker");
  RemoveCraftThermalGraine("mooshroom");
  RemoveCraftThermalGraine("phantom");
  RemoveCraftThermalGraine("vindicator");
  RemoveCraftThermalGraine("villager");
  RemoveCraftThermalGraine("shulker");
  RemoveCraftThermalGraine("endermite");
  RemoveCraftThermalGraine("pillager");
  RemoveCraftThermalGraine("magma_cube");
  RemoveCraftThermalGraine("ravager");
  RemoveCraftThermalGraine("husk");
  RemoveCraftThermalGraine("llama");
  RemoveCraftThermalGraine("panda");
  RemoveCraftThermalGraine("fox");
  RemoveCraftThermalGraine("bat");
  RemoveCraftThermalGraine("cat");
  RemoveCraftThermalGraine("wolf");
  RemoveCraftThermalGraine("parrot");
  RemoveCraftThermalGraine("witch");
  RemoveCraftThermalGraine("horse");
  RemoveCraftThermalGraine("polar_bear");
  RemoveCraftThermalGraine("vex");
  RemoveCraftThermalGraine("stray");
  RemoveCraftThermalGraine("dolphin");
  RemoveCraftThermalGraine("guardian");
  RemoveCraftThermalGraine("drowned");
  RemoveCraftThermalGraine("silverfish");

  e.remove({ id: "ae2extras:network/cells/storage_components_cell_256k_part" });
  e.remove({ id: "ae2extras:network/cells/storage_components_cell_1m_part" });
  e.remove({ id: "ae2extras:network/cells/storage_components_cell_4m_part" });
  e.remove({ id: "ae2extras:network/cells/storage_components_cell_16m_part" });
  e.remove({ id: "exnihilosequentia:ens_end_cake" });
  e.remove({ id: "ae2wtlib:infinity_booster_card" });
  e.remove({ id: "alchemistry:chemical_combiner" });
  e.remove({ id: "alchemistry:chemical_dissolver" });
  e.remove({ id: "alltheores:casting/copper_block" });
  e.remove({ id: "alltheores:casting/copper_ingot" });
  e.remove({ id: "alltheores:casting/copper_ingot_from_block" });
  e.remove({ id: "alltheores:casting/copper_nugget" });
  e.remove({ id: "alltheores:casting/silver_block" });
  e.remove({ id: "alltheores:copper_ingot_from_copper_block" });
  e.remove({ id: "alltheores:copper_ingot_from_copper_nugget" });
  e.remove({ id: "alltheores:mek_processing/copper/ore/from_dust" });
  e.remove({ id: "alltheores:mek_processing/osmium/ore/from_dust" });
  e.remove({ id: "alltheores:ore_tin" });
  e.remove({ id: "astralsorcery:altar/glass_lens" });
  e.remove({ id: "alltheores:silver_ingot_from_silver_block" });
  e.remove({ id: "alltheores:tin_block" });
  e.remove({ id: "comfortable_nether:piston_recipe_new" });
  e.remove({ id: "angelring:itemdiamondring" });
  e.remove({ id: "apotheosis:enchanted_golden_apple" });
  e.remove({ id: "appliedenergistics2:grinder/certus_quartz_dust" });
  e.remove({ id: "appliedenergistics2:grinder/certus_quartz_dust_ore" });
  e.remove({ id: "appliedenergistics2:grinder/fluix_dust" });
  e.remove({ id: "appliedenergistics2:grinder/nether_quartz_dust" });
  e.remove({ id: "appliedenergistics2:grinder/nether_quartz_dust_ore" });
  e.remove({ id: "appliedenergistics2:materials/advancedcard" });
  e.remove({ id: "appliedenergistics2:materials/basiccard" });
  e.remove({ id: "appliedenergistics2:misc/seeds_nether" });
  e.remove({ id: "appliedenergistics2:network/blocks/controller" });
  e.remove({ id: "appliedenergistics2:network/cables/glass_fluix" });
  e.remove({ id: "appliedenergistics2:network/cables/glass_fluix_clean" });
  e.remove({
    id: "appliedenergistics2:network/cells/storage_components_cell_1k_part",
  });
  e.remove({
    id: "appliedenergistics2:network/cells/storage_components_cell_4k_part",
  });
  e.remove({
    id: "appliedenergistics2:network/cells/storage_components_cell_16k_part",
  });
  e.remove({
    id: "appliedenergistics2:network/cells/storage_components_cell_64k_part",
  });
  e.remove({
    id: "appliedenergistics2:network/parts/panels_semi_dark_monitor",
  });
  e.remove({ id: "armorplus:crafting/shapeless/wooden_rod" });
  e.remove({ id: "astralsorcery:altar_discovery" });
  e.remove({ id: "mysticalagriculture:seed/infusion/nether_star" });
  e.remove({ id: "mysticalagriculture:seed/infusion/dragon_egg" });
  e.remove({ id: "mysticalagriculture:seed/infusion/awakened_draconium" });
  e.remove({ id: "mysticalagriculture:seed/infusion/nitro_crystal" });

  e.remove({ id: "astralsorcery:rock_crystal_ore" });
  e.remove({ id: "betterendforge:end_stone_smelter" });
  e.remove({ id: "betterendforge:infusion_pedestal" });
  e.remove({ id: "betterendforge:terminite_ingot" });
  e.remove({ id: "bhc:god_apple" });
  e.remove({ id: "bigreactors:reactor/basic/casing" });
  e.remove({ id: "bloodmagic:altar/slate" });
  e.remove({ id: "bloodmagic:altar/weakbloodorb" });
  e.remove({ id: "bloodmagic:blood_altar" });
  e.remove({ id: "botania:fertilizer_dye" });
  e.remove({ id: "botania:red_string" });
  e.remove({ id: "botania:red_string_alt" });
  e.remove({ id: "chemlib:ingot_tin" });
  e.remove({ id: "pamhc2foodcore:flour_x1_flour_plants" });
  e.remove({ id: "colossal_battery:battery_inner_tier_ultimate" });
  e.remove({ id: "colossal_battery:battery_wall_ultimate" });
  e.remove({ id: "compactmachines:personal_shrinking_device" });
  e.remove({ id: "compactmachines:wall" });
  e.remove({ id: "morphtool:tool" });
  e.remove({ id: "minecraft:campfire" });
  e.remove({ id: "create:blasting/ingot_lead_compat_immersiveengineering" });
  e.remove({ id: "create:blasting/ingot_lead_compat_mekanism" });
  e.remove({ id: "create:blasting/ingot_tin_compat_mekanism" });
  e.remove({ id: "create:blasting/ingot_uranium_compat_mekanism" });
  e.remove({ id: "create:blasting/lead_ingot_compat_thermal" });
  e.remove({ id: "create:blasting/silver_ingot_compat_thermal" });
  e.remove({ id: "create:blasting/nickel_ingot_compat_thermal" });
  e.remove({ id: "create:crafting/appliances/dough" });

  e.remove({ id: "create:crafting/materials/zinc_nugget_from_decompacting" });
  e.remove({ id: "create:crafting/materials/zinc_ingot_from_decompacting" });
  e.remove({ id: "create:crafting/materials/zinc_ingot_from_compacting" });
  e.remove({ id: "create:crafting/materials/zinc_block_from_compacting" });
  e.remove({ id: "create:crafting/materials/copper_block_from_compacting" });
  e.remove({ id: "create:crafting/materials/copper_nugget_from_decompacting" });
  e.remove({ id: "create:mixing/dough_by_mixing" });
  e.remove({ id: "bigreactors:crafting/yellorium_storage_to_component" });
  e.remove({ id: "bigreactors:yellorium_ingot_to_nugget" });
  e.remove({ id: "bigreactors:crafting/yellorium_ingot_to_nugget" });
  e.remove({ id: "alltheores:uranium_ingot_from_uranium_block" });
  e.remove({ id: "alltheores:uranium_nugget_from_uranium_ingot" });
  e.remove({ id: "extendedcrafting:handheld_table" });
  e.remove({ id: "cyclic:crafting_stick" });
  e.remove({
    id: "mysticalagriculture:essence/extremereactors2/yellorium_ingot",
  });

  e.remove({ id: "create:splashing/immersiveengineering/crushed_lead_ore" });
  e.remove({ id: "create:splashing/immersiveengineering/crushed_nickel_ore" });
  e.remove({ id: "create:splashing/immersiveengineering/crushed_uranium_ore" });
  e.remove({ id: "create:smelting/ingot_lead_compat_immersiveengineering" });
  e.remove({ id: "create:smelting/ingot_lead_compat_mekanism" });
  e.remove({ id: "create:smelting/ingot_tin_compat_mekanism" });
  e.remove({ id: "create:smelting/silver_ingot_compat_thermal" });
  e.remove({ id: "create:splashing/thermal/crushed_lead_ore" });
  e.remove({ id: "create:splashing/thermal/crushed_silver_ore" });
  e.remove({ id: "create:splashing/mekanism/crushed_tin_ore" });
  e.remove({ id: "createaddition:rolling/copper_plate" });
  e.remove({ id: "envirocore:items/ct_litherite2" });
  e.remove({ id: "envirocore:items/ct_litherite4" });
  e.remove({ id: "envirocore:items/ct_litherite6" });
  e.remove({ id: "envirocore:items/ct_litherite8" });
  e.remove({ id: "envirocore:litherite_crystal" });
  e.remove({ id: "excompressum:auto_compressed_hammer_with_steel" });
  e.remove({ id: "excompressum:auto_hammer" });
  e.remove({ id: "excompressum:auto_heavy_sieve_with_steel" });
  e.remove({ id: "excompressum:auto_sieve" });
  e.remove({ id: "excompressum:cat_bait" });
  e.remove({ id: "excompressum:chicken_bait" });
  e.remove({ id: "excompressum:cow_bait" });
  e.remove({ id: "excompressum:donkey_bait" });
  e.remove({ id: "excompressum:fox_bait" });
  e.remove({ id: "excompressum:horse_bait" });
  e.remove({ id: "excompressum:llama_bait" });
  e.remove({ id: "excompressum:mooshroom_bait" });
  e.remove({ id: "excompressum:ocelot_bait" });
  e.remove({ id: "excompressum:parrot_bait" });
  e.remove({ id: "excompressum:pig_bait" });
  e.remove({ id: "excompressum:polar_bear_bait" });
  e.remove({ id: "excompressum:rabbit_bait" });
  e.remove({ id: "excompressum:sheep_bait" });
  e.remove({ id: "excompressum:squid_bait" });
  e.remove({ id: "excompressum:turtle_bait" });
  e.remove({ id: "excompressum:wolf_bait" });
  e.remove({ id: "botania:spark" });
  e.remove({ id: "extendedcrafting:black_iron_ingot" });
  e.remove({ id: "extendedcrafting:frame" });
  e.remove({ id: "exnihilosequentia:ens_ingot_lead_blast" });
  e.remove({ id: "exnihilosequentia:ens_ingot_platinum_blast" });
  e.remove({ id: "exnihilosequentia:ens_ingot_uranium_blast" });
  e.remove({ id: "exnihilosequentia:ens_ingot_uranium" });
  e.remove({ id: "exnihilosequentia:ens_ingot_tin_blast" });
  e.remove({ id: "exnihilosequentia:ens_ingot_lead" });
  e.remove({ id: "exnihilosequentia:ens_chunk_platinum" });
  e.remove({ id: "exnihilosequentia:ens_ingot_platinum" });

  e.remove({ id: "exnihilosequentia:ens_ingot_tin" });
  e.remove({ id: "immersiveengineering:crafting/blastbrick" });
  e.remove({ id: "immersiveengineering:crafting/hammercrushing_platinum" });
  e.remove({ id: "immersiveengineering:crafting/cloche" });
  e.remove({
    id: "immersiveengineering:crafting/wire_copper",
  });
  e.remove({
    id: "immersiveengineering:crafting/wire_electrum",
  });
  e.remove({
    id: "immersiveengineering:crafting/wire_aluminum",
  });
  e.remove({
    id: "immersiveengineering:crafting/wire_steel",
  });
  e.remove({
    id: "immersiveengineering:crafting/wire_lead",
  });
  e.remove({ id: "immersiveengineering:crafting/cokebrick" });
  e.remove({ id: "immersiveengineering:crafting/constantan_mix" });
  e.remove({ id: "immersiveengineering:crafting/electrum_mix" });
  e.remove({ id: "immersiveengineering:crafting/heavy_engineering" });
  e.remove({
    id: "immersiveengineering:crafting/ingot_constantan_to_nugget_constantan",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_constantan_to_storage_constantan",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_uranium_to_storage_uranium",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_uranium_to_nugget_uranium",
  });
  e.remove({
    id: "immersiveengineering:crafting/nugget_uranium_to_ingot_uranium",
  });
  e.remove({
    id: "immersiveengineering:crafting/storage_uranium_to_ingot_uranium",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_copper_to_nugget_copper",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_copper_to_storage_copper",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_electrum_to_storage_electrum",
  }),
    e.remove({ id: "immersiveengineering:crafting/ingot_lead_from_blasting" });
  e.remove({
    id: "immersiveengineering:crafting/ingot_lead_from_dust_from_blasting",
  });
  e.remove({ id: "immersiveengineering:crafting/ingot_lead_to_nugget_lead" });
  e.remove({ id: "immersiveengineering:crafting/ingot_lead_to_storage_lead" });
  e.remove({ id: "immersiveengineering:crafting/ingot_nickel_from_dust" });
  e.remove({
    id: "immersiveengineering:crafting/ingot_nickel_from_dust_from_blasting",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_nickel_to_nugget_nickel",
  });
  e.remove({ id: "immersiveengineering:crafting/ingot_lead" });
  e.remove({ id: "immersiveengineering:crafting/ingot_lead_from_dust" });

  e.remove({
    id: "immersiveengineering:crafting/ingot_nickel_to_storage_nickel",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_steel_to_storage_steel",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_silver_from_dust_from_blasting",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_silver_to_nugget_silver",
  });
  e.remove({
    id: "immersiveengineering:crafting/ingot_silver_to_storage_silver",
  });
  e.remove({ id: "immersiveengineering:crafting/light_engineering" });
  e.remove({
    id: "immersiveengineering:crafting/nugget_constantan_to_ingot_constantan",
  });
  e.remove({
    id: "immersiveengineering:crafting/nugget_copper_to_ingot_copper",
  });
  e.remove({
    id: "immersiveengineering:crafting/nugget_electrum_to_ingot_electrum",
  });
  e.remove({ id: "immersiveengineering:crafting/nugget_lead_to_ingot_lead" });
  e.remove({
    id: "immersiveengineering:crafting/nugget_nickel_to_ingot_nickel",
  });
  e.remove({
    id: "immersiveengineering:crafting/nugget_silver_to_ingot_silver",
  });
  e.remove({ id: "immersiveengineering:crafting/rs_engineering" });
  e.remove({ id: "immersiveengineering:crafting/sheetmetal_copper" }),
    e.remove({ id: "immersiveengineering:crafting/sheetmetal_iron" });
  e.remove({ id: "immersiveengineering:crafting/sheetmetal_steel" }),
    e.remove({
      id: "immersiveengineering:crafting/storage_constantan_to_ingot_constantan",
    });
  e.remove({
    id: "immersiveengineering:crafting/storage_copper_to_ingot_copper",
  });
  e.remove({ id: "immersiveengineering:crafting/storage_lead_to_ingot_lead" });
  e.remove({
    id: "immersiveengineering:crafting/storage_nickel_to_ingot_nickel",
  });
  e.remove({ id: "immersiveengineering:metalpress/plate_brass" });
  e.remove({ id: "immersiveengineering:metalpress/plate_zinc" });
  e.remove({ id: "immersiveengineering:plate_aluminum" });
  e.remove({ id: "immersiveengineering:plate_copper" });
  e.remove({ id: "immersiveengineering:plate_steel" });
  e.remove({ id: "immersiveengineering:plate_uranium" });

  e.remove({ id: "industrialforegoing:diamond_gear" });
  e.remove({
    id: "industrialforegoing:dissolution_chamber/efficiency_addon_1",
  });
  e.remove({
    id: "industrialforegoing:dissolution_chamber/efficiency_addon_2",
  });
  e.remove({
    id: "industrialforegoing:dissolution_chamber/processing_addon_1",
  });
  e.remove({
    id: "industrialforegoing:dissolution_chamber/processing_addon_2",
  });
  e.remove({ id: "industrialforegoing:dissolution_chamber/speed_addon_1" });
  e.remove({ id: "industrialforegoing:dissolution_chamber/speed_addon_2" });
  e.remove({ id: "industrialforegoing:gold_gear" });
  e.remove({ id: "industrialforegoing:iron_gear" });
  e.remove({ id: "industrialforegoing:machine_frame_pity" });
  e.remove({ id: "industrialagriculture:eggs/minecraft/cave_spider_egg" });
  e.remove({ id: "immersiveengineering:squeezer/graphite_dust" });

  e.remove({ id: "javd:portal_block" });
  e.remove({ id: "thermal:rubber_from_dandelion" });
  e.remove({ id: "thermal:rubber_3" });
  e.remove({
    id: "mekanism:compat/appliedenergistics2/certus_crystal_to_dust",
  });
  e.remove({ id: "mekanism:compat/appliedenergistics2/fluix_crystal_to_dust" });
  e.remove({ id: "mekanism:dust_tin" });
  e.remove({ id: "mekanism:metallurgic_infuser" });
  e.remove({ id: "mekanism:nuggets/bronze" });
  e.remove({ id: "mekanism:processing/bronze/ingot/from_block" });
  e.remove({ id: "mekanism:processing/bronze/ingot/from_nuggets" });
  e.remove({ id: "mekanism:processing/copper/ingot/from_block" });
  e.remove({ id: "mekanism:processing/copper/ingot/from_nuggets" });
  e.remove({ id: "mekanism:processing/tin/nugget/from_ingot" });
  e.remove({ id: "mekanism:processing/osmium/nugget/from_ingot" });
  e.remove({ id: "mekanism:processing/copper/nugget/from_ingot" });
  e.remove({ id: "mekanism:processing/copper/storage_blocks/from_ingots" });
  e.remove({ id: "mekanism:processing/lead/dust/from_dirty_dust" });
  e.remove({ id: "mekanism:processing/lead/dust/from_ingot" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_dust_blasting" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_dust_smelting" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_ore_smelting" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_ore_blasting" });
  e.remove({ id: "mekanism:processing/lead/ingot_from_blasting" });
  e.remove({ id: "mekanism:processing/lead/nugget/from_ingot" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_nuggets" });
  e.remove({ id: "mekanism:processing/lead/ingot/from_block" });
  e.remove({ id: "mekanism:processing/lead/storage_blocks/from_ingots" });
  e.remove({ id: "mekanism:processing/tin/ingot/from_block" });
  e.remove({ id: "mekanism:processing/uranium/storage_blocks/from_ingots" });
  e.remove({ id: "mekanism:processing/uranium/nugget/from_ingot" });
  e.remove({ id: "mekanism:processing/tin/ingot/from_ore_blasting" });
  e.remove({ id: "mekanism:processing/tin/ingot/from_ore_smelting" });
  e.remove({ id: "mekanism:processing/tin/ingot/from_nuggets" });
  e.remove({ id: "mekanism:processing/uranium/ingot/from_nuggets" });
  e.remove({ id: "mekanism:steel_casing" });
  e.remove({ id: "mekanism:storage_blocks/bronze" });
  e.remove({ id: "mekanism:structural_glass" });
  e.remove({ id: "mekanism:tin_ore" });
  e.remove({ id: "mekanismgenerators:fission_reactor/casing" });
  e.remove({ id: "mekanismgenerators:fission_reactor/casing" });
  e.remove({ id: "mekanismgenerators:reactor/glass" });
  e.remove({ id: "minecraft:book" });
  e.remove({ id: "solarflux:wyvern_panel" });

  e.remove({ id: "industrialagriculture:eggs/minecraft/piglin_brute_egg" });
  e.remove({ id: "minecraft:netherite_helmet" });
  e.remove({ id: "minecraft:piston" });
  e.remove({ id: "mining_dimension:teleporter" });
  e.remove({ id: "mysticalagradditions:essence/mekanism/osmium_ingot" });
  e.remove({ id: "mysticalagriculture:essence/common/titanium_ingot" });
  e.remove({ id: "mysticalagriculture:essence/common/tungsten_ingot" });
  e.remove({ id: "mysticalagriculture:seed/infusion/titanium" });
  e.remove({ id: "mysticalagriculture:alfstein_seeds_infusion" });
  e.remove({ id: "mysticalagriculture:seed/infusion/tungsten" });
  e.remove({ id: "mysticalagriculture:air_agglomeratio" });
  e.remove({ id: "mysticalagriculture:earth_agglomeratio" });
  e.remove({ id: "mysticalagriculture:essence/mekanism/osmium_ingot" });
  e.remove({ id: "mysticalagriculture:fire_agglomeratio" });
  e.remove({ id: "mysticalagriculture:inferium_axe" });
  e.remove({ id: "mysticalagriculture:inferium_boots" });
  e.remove({ id: "mysticalagriculture:inferium_chestplate" });
  e.remove({ id: "mysticalagriculture:inferium_helmet" });
  e.remove({ id: "mysticalagriculture:inferium_hoe" });
  e.remove({ id: "mysticalagriculture:inferium_leggings" });
  e.remove({ id: "mysticalagriculture:inferium_pickaxe" });
  e.remove({ id: "mysticalagriculture:inferium_shovel" });
  e.remove({ id: "mysticalagriculture:inferium_sword" });
  e.remove({ id: "mysticalagriculture:soils/imperium_farmland" });
  e.remove({ id: "mysticalagriculture:soils/inferium_farmland" });
  e.remove({ id: "mysticalagriculture:soils/insanium_farmland" });
  e.remove({ id: "mysticalagriculture:soils/prudentium_farmland" });
  e.remove({ id: "mysticalagriculture:soils/supremium_farmland" });
  e.remove({ id: "mysticalagriculture:soils/tertium_farmland" });
  e.remove({ id: "mysticalagriculture:water_agglomeratio" });
  e.remove({ id: "pedestals:dusttin" });
  e.remove({ id: "pipez:universal_pipe" });
  e.remove({ id: "pneumaticcraft:assembly/advanced_pressure_tube" });
  e.remove({
    id: "pneumaticcraft:pressure_chamber_valve_assembly/advanced_pressure_tube",
  });
  e.remove({ id: "powah:crafting/capacitor_basic" });
  e.remove({ id: "powah:crafting/dielectric_casing" });
  e.remove({ id: "powah:crafting/dielectric_paste" });
  e.remove({ id: "powah:crafting/dielectric_paste_2" });
  e.remove({ id: "rftoolsbase:machine_frame" });
  e.remove({ id: "rftoolsbase:tablet" });
  e.remove({ id: "rftoolsdim:dimension_builder" });
  e.remove({ id: "rftoolspower:dimensionalcell" });

  e.remove({ id: "tconstruct:common/materials/copper_block_from_ingots" });
  e.remove({ id: "tconstruct:common/materials/copper_ingot_from_block" });
  e.remove({ id: "tconstruct:common/materials/copper_ingot_from_nuggets" });
  e.remove({ id: "tconstruct:common/materials/copper_nugget_from_ingot" });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/aluminum/ingot_gold_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/uranium/nugget_gold_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/uranium/nugget_sand_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/uranium/ingot_gold_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/uranium/ingot_sand_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/aluminum/ingot_sand_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/lead/ingot_sand_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/aluminum/plate_gold_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/lead/ingot_gold_cast",
  });
  e.remove({
    id: "tconstruct:smeltery/casting/metal/aluminum/plate_sand_cast",
  });
  e.remove({ id: "tconstruct:smeltery/casting/metal/brass/plate_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/brass/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/brass/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/copper/plate_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/copper/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/gold/plate_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/gold/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/iron/plate_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/iron/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/nickel/block" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/nickel/nugget_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/osmium/ingot_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/osmium/ingot_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/osmium/nugget_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/osmium/nugget_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/zinc/plate_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/zinc/plate_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/zinc/block" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/zinc/nugget_gold_cast" });
  e.remove({ id: "tconstruct:smeltery/casting/metal/zinc/nugget_sand_cast" });
  e.remove({ id: "tconstruct:smeltery/seared/heater" });
  e.remove({ id: "tconstruct:tables/pattern" });
  e.remove({
    id: "thermal:compat/appliedenergistics2/pulverizer_ae2_certus_quartz_dust",
  });
  e.remove({
    id: "thermal:compat/appliedenergistics2/pulverizer_ae2_fluix_crystal_dust",
  });
  e.remove({ id: "thermal:machine_frame" });
  e.remove({ id: "thermal:furnace_1370191545" });
  e.remove({ id: "thermal:parts/bronze_gear" });
  e.remove({ id: "thermal:parts/invar_gear" });
  e.remove({ id: "thermal:parts/tin_gear" });
  e.remove({ id: "thermal:smelting/lead_ingot_from_dust_blasting" });
  e.remove({ id: "thermal:smelting/lead_ingot_from_dust_smelting" });
  e.remove({ id: "thermal:smelting/lead_ingot_from_ore_smelting" });
  e.remove({ id: "thermal:smelting/lead_ingot_from_ore_blasting" });
  e.remove({ id: "thermal:smelting/nickel_ingot_from_dust_blasting" });
  e.remove({ id: "thermal:smelting/nickel_ingot_from_dust_smelting" });
  e.remove({ id: "thermal:smelting/silver_ingot_from_dust_blasting" });
  e.remove({ id: "thermal:smelting/silver_ingot_from_dust_smelting" });
  e.remove({ id: "thermal:storage/constantan_ingot_from_block" });
  e.remove({ id: "thermal:storage/copper_block" });
  e.remove({ id: "thermal:storage/copper_ingot_from_block" });
  e.remove({ id: "thermal:storage/copper_ingot_from_nuggets" });
  e.remove({ id: "thermal:storage/copper_nugget_from_ingot" });
  e.remove({ id: "thermal:storage/lead_block" });
  e.remove({ id: "thermal:machine/storage/tin_block" });
  e.remove({ id: "thermal:storage/lead_ingot_from_block" });
  e.remove({ id: "thermal:storage/lead_ingot_from_nuggets" });
  e.remove({ id: "thermal:storage/lead_nugget_from_ingot" });
  e.remove({ id: "thermal:storage/nickel_block" });
  e.remove({ id: "thermal:storage/nickel_ingot_from_block" });
  e.remove({ id: "thermal:storage/nickel_ingot_from_nuggets" });
  e.remove({ id: "thermal:storage/nickel_nugget_from_ingot" });
  e.remove({ id: "thermal:machine/storage/tin_nugget_from_ingot" });
  e.remove({ id: "thermal:machine/storage/tin_ingot_from_nuggets" });
  e.remove({ id: "integratedterminals:crafting/part_terminal_crafting_job" });
  e.remove({ id: "thermal:storage/silver_block" });
  e.remove({ id: "thermal:storage/silver_ingot_from_block" });
  e.remove({ id: "thermal:storage/silver_ingot_from_nuggets" });
  e.remove({ id: "thermal:storage/silver_nugget_from_ingot" });
  e.remove({ id: "thermal:storage/tin_block" });
  e.remove({ id: "thermal:storage/tin_ingot_from_block" });
  e.remove({ id: "thermal:storage/tin_ingot_from_nuggets" });
  e.remove({ id: "thermal:tin_dust" });
  e.remove({ id: "exnihilosequentia:ens_ingot_aluminum_blast" });
  e.remove({ id: "exnihilosequentia:ens_ingot_aluminum" });

  e.remove({ id: "refinedstorage:1k_storage_block" });
  e.remove({ id: "refinedstorage:4k_storage_block" });
  e.remove({ id: "refinedstorage:16k_storage_block" });
  e.remove({ id: "refinedstorage:64k_storage_block" });
  e.remove({ id: "refinedstorage:crafter" });
  e.remove({ id: "refinedstorage:crafter_manager" });
  e.remove({ id: "refinedstorage:coloring_recipes/crafter" });
  e.remove({ id: "refinedstorage:coloring_recipes/crafter_manager" });
  e.remove({ id: "refinedstorage:pattern" });
  e.remove({ id: "refinedstorage:fluid_interface" });
  e.remove({ id: "refinedstorage:interface" });
  e.remove({ id: "refinedstorage:pattern_grid" });
  e.remove({ id: "refinedstorage:crafting_monitor" });
  e.remove({ id: "refinedstorage:coloring_recipes/crafting_monitor" });
  e.remove({ id: "refinedstorage:pattern_grid/pattern_grid" });
  e.remove({ id: "refinedstorage:coloring_recipes/pattern_grid" });

  function RemoveCraftRefineColor(color) {
    e.remove({
      id: "refinedstorage:coloring_recipes/" + color + "_pattern_grid",
    });
    e.remove({ id: "refinedstorage:pattern_grid/" + color + "_pattern_grid" });
    e.remove({ id: "refinedstorage:" + color + "_pattern_grid" });
    e.remove({ id: "refinedstorage:coloring_recipes/" + color + "_crafter" });
    e.remove({
      id: "refinedstorage:coloring_recipes/" + color + "_crafter_manager",
    });
    e.remove({
      id: "refinedstorage:coloring_recipes/" + color + "_crafting_monitor",
    });
  }

  var ListeColor = [
    "white",
    "orange",
    "magenta",
    "yellow",
    "lime",
    "pink",
    "gray",
    "light_gray",
    "cyan",
    "purple",
    "blue",
    "brown",
    "green",
    "red",
    "black",
  ];
  ListeColor.forEach((S) => {
    RemoveCraftRefineColor(S);
  });
});
